Subject: Re: bug#28340: 26.0.50; xterm frame titles

From: Eli Zaretskii <[email-masked]>
Date: Mon, 04 Sep 2017 07:16:42 +0300

> From: Mark Oteiza <[email-masked]>
> Date: Sun, 03 Sep 2017 17:37:24 -0400
> 
> Wishlist item.
> 
> Hi,
> 
> I tacked setting window/iconified window titles into term/xterm.el, but

Thanks.  This needs a NEWS entry, and I think there should be a
defcustom to turn this off, for those who'd like the default title
provided by xterm.

> found a quirk I suspect is related to Bug#18137 (which refers to
> 42fe2e88d and Bug#15025).  Because clients don't always have focus,
> opening a new client won't trigger hooks that I would think trigger,
> perhaps even after-make-frame-functions or window-size-change-functions.

Maybe one of the hooks provided by server.el would fit the bill?